
.dropdown-menu hci-search-list {
  max-height: 13rem;
}

#SLCC {
    padding-top: 15px;
}

hci-search-list-controller {
  display: flex;
  flex-direction: column;
  flex-shrink: 0;
  overflow: hidden;
  padding-left: 0.5rem;
  /*padding-bottom: 0.5rem;*/

  @include themify($themes) {
    background-color: themed("sidebar-header-background-color");
    color: themed("sidebar-header-text-color");
  }

  .search-title {
    flex-direction: column;
  }

  .search-title .dropdown-menu {
    margin-left: 10px;
    padding: 0;
  }

  .search-title {
    margin-bottom: 0;
    flex-shrink: 0;
  }

  .global-search {
    background-color: white;
    border-radius: 0.5rem;

    input {
      border: none;
      outline: 0;
      width: 100%;
    }
  }

  .search-options {
    @include themify($themes) {
      background-color: themed("outlet-background-color");
    }

    display: none;
    opacity: 0;
    z-index: 30;
    position: fixed;
    min-width: 250px;
    border: gray solid 1px;
    font-size: 0.75rem;

    input {
      width: 100%;
      font-size: 0.75rem;
      height: 1.5rem;
    }
  }

  .search-options.expanded {
    overflow: hidden;
    background: linear-gradient(
        0deg, var(--white-lightest) 30%, var(--bluewarmvividfade-lighter) 100%);
    display: flex;
    -webkit-animation: opaque 0.5s ease-in;
    -moz-animation: opaque 0.5s ease-in;
    -o-animation: opaque 0.5s ease-in;
    animation: opaque 0.5s ease-in;
    animation-fill-mode: forwards;

    .nav-item {
      background-color: #e7e7e7;
      color: #777;
      border-bottom: none;
      border: 0.1px solid #bbb;
    }

    .nav-item.active {
      background-color: #f6f6f6;
      color: #0af;
      border-bottom: none;
      border-left: 0.1px solid #bbb;
      border-right: 0.1px solid #bbb;
      border-top: 0.1px solid #bbb;
      font-weight: 600;
    }

  }

  .search-options .card-header-component {
    display: flex;
  }

  .search-options .mat-form-field {
    font-size: 1rem !important;
    font-family: hci-font;
    @include themify($themes) {
      color: themed("input-text-color") !important;
    }
  }

  .search-options > * mat-form-field {
    @include themify($themes) {
      border: themed("sidebar-item-left-border");
    }
    /*border: .1px solid $grey-medium;*/
    width: 220px;

    display: inline-block;
    border: 1px solid var(--grey-light);
    border-radius: 2px;
    background-color: var(--white-lightest);

    &:focus-within {
      box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075), 0 0 8px rgba(0, 100, 255, 0.6);
      background-color: var(--bluewarmvividfade-lightest);
    }

    /** Tighten up the spacing **/
    &,
    .mat-form-field {
      font-family: hci-font;
      line-height: 1.2em !important;
      padding: 0;
    }

    .mat-form-field-wrapper {
      padding-bottom: 0 !important;
    }

    .mat-form-field-infix {
      padding: 0.1em 0 !important; /* keep caret off the border */
      width: inherit;
    }

    .mat-form-field-underline {
      bottom: 0 !important;
    }

    .mat-select,
    .mat-input-element {
      font-family: inherit;
      height: auto;
    }

    textarea.mat-input-element {
      margin: 0;
      overflow: hidden;
    }

    /* unfix width in child elements */
    .mat-form-field,
    .mat-form-field-wrapper,
    .mat-form-field-infix {
      width: 100%;
    }

    /* shift normal label up */
    .mat-form-field-label {
      top: .5em !important;
      color: var(--grey-dark);
    }

    /* push floating label down */
    .mat-form-field-should-float .mat-form-field-label,
    &.mat-form-field-should-float .mat-form-field-label {
      top: 1.4em !important;
    }

    /* vertically center matSuffix icons */
    .mat-form-field-flex {
      align-items: center;
      padding: 0 .2em !important; /* remove vertical padding, add horizontal padding */
    }

    .mat-form-field-suffix .mat-icon-button {
      height: inherit;
    }

    .hci-combobox-arrow-wrapper,
    .mat-select-arrow-wrapper {
      vertical-align: top;
    }

    /** remove underline **/
    .mat-form-field-underline {
      height: 0 !important;
    }

    .mat-form-field-ripple {
      display: none;
    }

    /** position mat-error (and possibly hints) above fields **/
    .mat-form-field-subscript-wrapper {
      top: inherit;
      margin-top: 0;
      bottom: 2.8em;
      display: flex;
      overflow: visible;
      white-space: nowrap;
    }

    &.ng-invalid.ng-touched {
      border-color: var(--pure-red);
      margin-top: .8em;

      .hci-combobox-arrow {
        color: var(--pure-red);
      }
    }

    &[attr="readonly"] {
      background-color: var(--white-medlight) !important;
      pointer-events: none;
    }

    &:disabled,
    &.mat-form-field-disabled {
      background-color: var(--white-darkest);
      border: 0.1px solid var(--grey-lightest);
      border-radius: 2px;
      box-shadow: unset;
      pointer-events: none;

      .mat-input-element {
        color: var(--grey-light) !important;
      }
    }
  }

  .search-options.expanded .nav {
    align-items: center;
    justify-content: space-evenly;
    width: 100%;
    display: -webkit-box;
    padding-left: 22px;
    padding-right: 22px;
    margin-bottom: -5px;
    z-index: 100;
    position: absolute;
  }

  .search-msg-holder {
    @include themify($themes) {
      background-color: themed("sidebar-footer-text-color");
    }
    margin-left: auto;
    display: block;
    padding-bottom: 1px;
    text-align: right;
    font-weight: bold;
    font-size: large;
    padding-right: 25px;
  }

  .search-results-count {
    background-color: #7e878c!important;
    color: #fff!important;
    margin-top: -2px;
    box-shadow: 0 2px 2px #b0b8c4;
    /*z-index: 1000;*/
  }

  @keyframes opaque {
    0% {
      display: none;
      opacity: 0;
    }
    1% {
      display: flex;
      opacity: 0;
    }
    100% {
      display: flex;
      opacity: 1;
    }
  }

  .pill {
    align-items: center;
    border-radius: 1rem;
    padding: 0rem 0.25rem;
    font-size: 0.75rem;
    border: #def4ff 1px solid;
  }

  .search-content-body {
    grid-row-gap: 20px;
    row-gap: 20px;
  }

  .basic-search {
    width: 500px;
    background-color: var(--white-medlight);
    border: 0.1px solid var(--grey-light);
    border-radius: 0 0 5px 5px;
    margin: 0 22px 0 22px;
    padding: .5rem;
    display: flex;
    align-items: center;
    flex-direction: column;
    border-top-color: transparent;
  }

  .advanced-search {
    background-color: var(--white-medlight);
    padding: 0.5rem;
    display: flex;
    align-items: center;
    flex-direction: column;
    /*width: 80vw;*/
    box-shadow: 0 1px 1px var(--greycool-medium);
    border: 0.1px solid var(--grey-light);
    border-radius: 5px 5px 5px 5px;
    margin: 0 22px 7.5px 22px;
  }

  .advanced-search-scrolled {
    background-color: var(--white-medlight);
    padding: 0.5rem;
    display: flex;
    align-items: center;
    flex-direction: column;
    /*width: 80vw;*/
    box-shadow: 0 1px 1px var(--greycool-medium);
    border: 0.1px solid var(--grey-light);
    border-radius: 5px 5px 5px 5px;
    margin: 0 5px 7.5px 22px;
  }

  .classification-header {
    color: #3D7A99;
    letter-spacing: 0.6px;
    padding-left: 0.6vw;
    padding-bottom: 0.5vw;
    font-weight: bold;
    font-size: 1.1rem;
  }

  .advanced-search-classification-header{
    color: #3D7A99;
    letter-spacing: 0.6px;
    padding-left: 1vw;
    padding-bottom: 0.5vw;
    font-weight: bold;
    font-size: 1.1rem;
  }

  .advancedSearch-scroll {
    overflow: auto;
  }

  .advancedSearch-panel {
    margin-top: 30px;
  }

  .sidebar-filter .sort-item {
    font-size: 1rem;
    color: var(--bluewarm-dark) !important;
    margin-top: 5px;
    margin-bottom: 5px;
  }

  .ri-modal-footer {
    background-color: var(--white-lightest);
    display:flex;
    padding: 0.5rem;
    align-items: center;
    justify-content: flex-end;
  }

  .ri-modal-header-right-container {
    display: flex;
    justify-content: flex-end;
  }

  .row {
    width: 100% !important;
  }
  .ri-full-width {
    width: 100%;
  }

  .ri-btn-cancel {
    margin-right: 6px;
  }

  .advanced-search-content-body {
    margin-left:5px;
    grid-row-gap: 5px;
    row-gap: 5px;
  }

  a {
    float: right;
    width: 50%;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
    justify-content: center;
    border-bottom: 1px solid var(--grey-light);
  }

}

:not(hci-sidebar) hci-search-list-controller {
  padding-right: 0.5rem;
}

.risr-material {
  hci-search-list-controller {
    .list-toggle {
      mat-button-toggle-group {
        flex: 1 1 auto;
        height: 2rem;
      }

      mat-button-toggle {
        overflow: hidden;
        flex: 1 1 auto;
        font-size: 1rem;
      }

      .mat-button-toggle-button {
        display: flex;
      }

      .mat-button-toggle-label-content {
        text-overflow: ellipsis;
        overflow: hidden;
      }
    }
  }
}

hci-search-list {
  display: flex;
  flex-direction: column;
  overflow-y: hidden;
  height: 100%;

  .nav-container {
    @include themify($themes) {
      background-color: themed("sidebar-item-container-background-color");
    }

    padding-left: 1rem;

    .nav-item {
      @include themify($themes) {
        border-left: themed("sidebar-item-left-border");
      }
      padding: 0 !important;
    }
  }

  .group-parent {
    display: flex;
    flex-direction: column;
  }

  .row-parent {
    display: flex;
    flex-direction: column;
    padding: 0.25rem;
    padding-left: 0.5rem;
  }

  .nav-item {
    display: flex;
    padding: 0 !important;
  }

  .close-icon:hover {
    color: red;
  }

  div.option {
    display: inline-flex;
  }

  li.option.header {
    border-bottom: black 1px solid;
  }

  li.option {
    display: inline-flex;
    align-items: center;
    margin-left: 0px;
    padding-left: 10px;
  }

  li.option span {
    display: inline-flex;
    padding-left: 0px;
  }

  li.option label {
    margin-left: 10px;
    margin-bottom: 0px;
  }

  .scrollable {
    overflow-y: auto;
    flex-shrink: 1;
    flex-direction: column;
    min-height: 7rem;
    height: 100%;
  }

  .search {
    width: 100%;
    margin-right: 10px;
    padding-left: 10px;
  }

  .center {
    display: flex;
    align-items: center;
  }

  .group-selected-parent {
    display: none;
    transition: margin-left 0.5s ease-in-out;
    margin-left: -100%;
    overflow-y: hidden;
  }

  .group-selected-parent.active {
    margin-left: 0;
  }

  .no-results-found {
    color: #ff0000;
    padding-left: 10px;
  }

  .paging-footer {
    @include themify($themes) {
      background-color: themed("sidebar-header-background-color");
      color: themed("sidebar-text-color");
    }
  }
}

:not(hci-sidebar) hci-search-list {
  .nav-item {
    font-size: 1.0rem;

    @include themify($themes) {
      color: themed("sidebar-item-color");
      background-color: themed("sidebar-item-background-color");
    }

    border-bottom: 1px solid rgba(0, 0, 0, 0.125);
  }

  .nav-item.active, .nav-item .active {
    @include themify($themes) {
      color: themed("sidebar-selected-item-color");
      background-color: themed("sidebar-selected-item-background-color");
    }
  }

  .nav-item.group {
    @include themify($themes) {
      color: themed("sidebar-group-color");
      background-color: themed("sidebar-group-background-color");
    }

    min-height: 2.0rem;
  }

  .nav-item.group.active, .nav-item.group .active {
    @include themify($themes) {
      color: themed("sidebar-selected-group-color");
      background-color: themed("sidebar-selected-group-background-color");
    }
  }
}

/* search-list */
hci-search-list .scrollable {
  height: inherit;
}

.ri .hci-sidebar hci-search-list,
.ri-sidebar .hci-sidebar hci-search-list,
.theme-core-default .hci-sidebar hci-search-list {
  .nav-item {
    padding: 0 !important;
  }

  .no-results-found {
    color: $pure-red;
    padding-left: 10px;
  }

  .paging-footer {
    background-color: $greywarm-meddark !important;
    color: $white-lightest !important;
  }
}

.ri .hci-sidebar hci-search-list-controller,
.ri-sidebar .hci-sidebar hci-search-list-controller,
.theme-core-default hci-search-list-controller {
  background-color: $greywarm-meddark !important;
  color: $white-lightest !important;
  /*margin-bottom: 1px;*/
  /*box-shadow: 0px 2px 2px $greycool-medium;*/
  z-index: 1000;

  /* options */
  // Search and Advanced Search styles
  .search-options.expanded {
    overflow: hidden;
    background: linear-gradient(
        0deg, $white-lightest 30%, $bluewarmvividfade-lighter 100%);
  }

  .search-options .card-header-component {
    display: flex;
  }

  .search-options .mat-form-field {
    font-size: 1rem !important;
    font-family: hci-font;
    color: $bluewarm-darkest !important;
  }

  .search-options > * mat-form-field {
    border: .1px solid $grey-medium;
    width: 220px;
  }

  .search-options.expanded .nav {
    align-items: center;
    justify-content: space-evenly;
    width: 100%;
    display: -webkit-box;
    padding-left: 22px;
    padding-right: 22px;
    margin-bottom: -5px;
    z-index: 100;
  }

  .search-msg-holder {
    background-color: $white-lightest;
    margin-left: auto;
    display: block;
    padding-bottom: 1px;
    text-align: right;
    font-weight: bold;
    font-size: large;
    padding-right: 25px;
  }

  .search-results-count {
    background-color: #7e878c!important;
    color: var(--white-lightest) !important;
    margin-top: -2px;
    box-shadow: 0 2px 2px #b0b8c4;
    /*z-index: 1000;*/
  }
}
